# Phone Numbers

## List phone numbers

> List phone numbers for a workspace with pagination. Optionally filter by status. Requires \`PhoneNumber.view\` permission.

```json
{"openapi":"3.1.0","info":{"title":"Platform API","version":"1.0.0"},"servers":[{"url":"https://api.platform.amigo.ai","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","description":"API key issued via `POST /v1/{workspace_id}/api-keys`. Pass the returned `api_key` value as a Bearer token."}},"schemas":{"PaginatedResponse_PhoneNumberResponse_":{"properties":{"items":{"items":{"$ref":"#/components/schemas/PhoneNumberResponse"},"type":"array","title":"Items"},"has_more":{"type":"boolean","title":"Has More"},"continuation_token":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Continuation Token"},"total":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Total"}},"type":"object","required":["items","has_more"],"title":"PaginatedResponse[PhoneNumberResponse]"},"PhoneNumberResponse":{"properties":{"id":{"type":"string","title":"Id"},"workspace_id":{"type":"string","title":"Workspace Id"},"phone_number":{"type":"string","title":"Phone Number"},"display_name":{"type":"string","title":"Display Name"},"provider":{"type":"string","title":"Provider"},"capabilities":{"items":{"type":"string"},"type":"array","title":"Capabilities"},"status":{"type":"string","title":"Status"},"inbound_service_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Inbound Service Id"},"provider_phone_sid":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Provider Phone Sid"},"notes":{"type":"string","title":"Notes"},"forwarding":{"anyOf":[{"$ref":"#/components/schemas/ForwardingConfigResponse"},{"type":"null"}]},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","workspace_id","phone_number","display_name","provider","capabilities","status","inbound_service_id","provider_phone_sid","notes","forwarding","created_at","updated_at"],"title":"PhoneNumberResponse"},"ForwardingConfigResponse":{"properties":{"enabled":{"type":"boolean","title":"Enabled"},"forward_to":{"type":"string","title":"Forward To"},"should_disconnect":{"type":"boolean","title":"Should Disconnect"}},"type":"object","required":["enabled","forward_to","should_disconnect"],"title":"ForwardingConfigResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/v1/{workspace_id}/phone-numbers":{"get":{"tags":["Phone Numbers"],"summary":"List phone numbers","description":"List phone numbers for a workspace with pagination. Optionally filter by status. Requires `PhoneNumber.view` permission.","operationId":"list-phone-numbers","parameters":[{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"enum":["active","inactive"],"type":"string"},{"type":"null"}],"title":"Status"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":20,"exclusiveMinimum":0,"default":10,"title":"Limit"}},{"name":"continuation_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Continuation Token"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedResponse_PhoneNumberResponse_"}}}},"401":{"description":"Missing or invalid API key."},"403":{"description":"Insufficient permissions."},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## Create a phone number

> Register a new phone number in a workspace. Requires \`PhoneNumber.create\` permission.

```json
{"openapi":"3.1.0","info":{"title":"Platform API","version":"1.0.0"},"servers":[{"url":"https://api.platform.amigo.ai","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","description":"API key issued via `POST /v1/{workspace_id}/api-keys`. Pass the returned `api_key` value as a Bearer token."}},"schemas":{"CreatePhoneNumberRequest":{"properties":{"phone_number":{"type":"string","title":"Phone Number"},"display_name":{"type":"string","maxLength":256,"title":"Display Name","default":""},"provider":{"type":"string","enum":["twilio","livekit"],"title":"Provider","default":"twilio"},"capabilities":{"items":{"type":"string"},"type":"array","title":"Capabilities","default":["inbound","outbound"]},"status":{"type":"string","enum":["active","inactive"],"title":"Status","default":"active"},"inbound_service_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Inbound Service Id"},"provider_phone_sid":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Provider Phone Sid"},"notes":{"type":"string","maxLength":2000,"title":"Notes","default":""},"forwarding":{"anyOf":[{"$ref":"#/components/schemas/ForwardingConfigRequest"},{"type":"null"}]}},"type":"object","required":["phone_number"],"title":"CreatePhoneNumberRequest"},"ForwardingConfigRequest":{"properties":{"enabled":{"type":"boolean","title":"Enabled","default":true},"forward_to":{"type":"string","title":"Forward To"},"should_disconnect":{"type":"boolean","title":"Should Disconnect","default":true}},"type":"object","required":["forward_to"],"title":"ForwardingConfigRequest","description":"Call forwarding configuration for create/update requests."},"PhoneNumberResponse":{"properties":{"id":{"type":"string","title":"Id"},"workspace_id":{"type":"string","title":"Workspace Id"},"phone_number":{"type":"string","title":"Phone Number"},"display_name":{"type":"string","title":"Display Name"},"provider":{"type":"string","title":"Provider"},"capabilities":{"items":{"type":"string"},"type":"array","title":"Capabilities"},"status":{"type":"string","title":"Status"},"inbound_service_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Inbound Service Id"},"provider_phone_sid":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Provider Phone Sid"},"notes":{"type":"string","title":"Notes"},"forwarding":{"anyOf":[{"$ref":"#/components/schemas/ForwardingConfigResponse"},{"type":"null"}]},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","workspace_id","phone_number","display_name","provider","capabilities","status","inbound_service_id","provider_phone_sid","notes","forwarding","created_at","updated_at"],"title":"PhoneNumberResponse"},"ForwardingConfigResponse":{"properties":{"enabled":{"type":"boolean","title":"Enabled"},"forward_to":{"type":"string","title":"Forward To"},"should_disconnect":{"type":"boolean","title":"Should Disconnect"}},"type":"object","required":["enabled","forward_to","should_disconnect"],"title":"ForwardingConfigResponse"}}},"paths":{"/v1/{workspace_id}/phone-numbers":{"post":{"tags":["Phone Numbers"],"summary":"Create a phone number","description":"Register a new phone number in a workspace. Requires `PhoneNumber.create` permission.","operationId":"create-phone-number","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePhoneNumberRequest"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PhoneNumberResponse"}}}},"401":{"description":"Missing or invalid API key."},"403":{"description":"Insufficient permissions."},"404":{"description":"Workspace not found."},"409":{"description":"Phone number already registered."},"422":{"description":"Invalid request body."}}}}}}
```

## Get a phone number

> Retrieve a phone number by ID. Requires \`PhoneNumber.view\` permission.

```json
{"openapi":"3.1.0","info":{"title":"Platform API","version":"1.0.0"},"servers":[{"url":"https://api.platform.amigo.ai","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","description":"API key issued via `POST /v1/{workspace_id}/api-keys`. Pass the returned `api_key` value as a Bearer token."}},"schemas":{"PhoneNumberResponse":{"properties":{"id":{"type":"string","title":"Id"},"workspace_id":{"type":"string","title":"Workspace Id"},"phone_number":{"type":"string","title":"Phone Number"},"display_name":{"type":"string","title":"Display Name"},"provider":{"type":"string","title":"Provider"},"capabilities":{"items":{"type":"string"},"type":"array","title":"Capabilities"},"status":{"type":"string","title":"Status"},"inbound_service_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Inbound Service Id"},"provider_phone_sid":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Provider Phone Sid"},"notes":{"type":"string","title":"Notes"},"forwarding":{"anyOf":[{"$ref":"#/components/schemas/ForwardingConfigResponse"},{"type":"null"}]},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","workspace_id","phone_number","display_name","provider","capabilities","status","inbound_service_id","provider_phone_sid","notes","forwarding","created_at","updated_at"],"title":"PhoneNumberResponse"},"ForwardingConfigResponse":{"properties":{"enabled":{"type":"boolean","title":"Enabled"},"forward_to":{"type":"string","title":"Forward To"},"should_disconnect":{"type":"boolean","title":"Should Disconnect"}},"type":"object","required":["enabled","forward_to","should_disconnect"],"title":"ForwardingConfigResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/v1/{workspace_id}/phone-numbers/{phone_number_id}":{"get":{"tags":["Phone Numbers"],"summary":"Get a phone number","description":"Retrieve a phone number by ID. Requires `PhoneNumber.view` permission.","operationId":"get-phone-number","parameters":[{"name":"phone_number_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Phone Number Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PhoneNumberResponse"}}}},"401":{"description":"Missing or invalid API key."},"403":{"description":"Insufficient permissions."},"404":{"description":"Phone number not found."},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## Update a phone number

> Update a phone number's configuration. Requires \`PhoneNumber.update\` permission.

```json
{"openapi":"3.1.0","info":{"title":"Platform API","version":"1.0.0"},"servers":[{"url":"https://api.platform.amigo.ai","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","description":"API key issued via `POST /v1/{workspace_id}/api-keys`. Pass the returned `api_key` value as a Bearer token."}},"schemas":{"UpdatePhoneNumberRequest":{"properties":{"display_name":{"anyOf":[{"type":"string","maxLength":256},{"type":"null"}],"title":"Display Name"},"provider":{"anyOf":[{"type":"string","enum":["twilio","livekit"]},{"type":"null"}],"title":"Provider"},"capabilities":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Capabilities"},"status":{"anyOf":[{"type":"string","enum":["active","inactive"]},{"type":"null"}],"title":"Status"},"inbound_service_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Inbound Service Id"},"provider_phone_sid":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Provider Phone Sid"},"notes":{"anyOf":[{"type":"string","maxLength":2000},{"type":"null"}],"title":"Notes"},"forwarding":{"anyOf":[{"$ref":"#/components/schemas/ForwardingConfigRequest"},{"type":"null"}]}},"type":"object","title":"UpdatePhoneNumberRequest"},"ForwardingConfigRequest":{"properties":{"enabled":{"type":"boolean","title":"Enabled","default":true},"forward_to":{"type":"string","title":"Forward To"},"should_disconnect":{"type":"boolean","title":"Should Disconnect","default":true}},"type":"object","required":["forward_to"],"title":"ForwardingConfigRequest","description":"Call forwarding configuration for create/update requests."},"PhoneNumberResponse":{"properties":{"id":{"type":"string","title":"Id"},"workspace_id":{"type":"string","title":"Workspace Id"},"phone_number":{"type":"string","title":"Phone Number"},"display_name":{"type":"string","title":"Display Name"},"provider":{"type":"string","title":"Provider"},"capabilities":{"items":{"type":"string"},"type":"array","title":"Capabilities"},"status":{"type":"string","title":"Status"},"inbound_service_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Inbound Service Id"},"provider_phone_sid":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Provider Phone Sid"},"notes":{"type":"string","title":"Notes"},"forwarding":{"anyOf":[{"$ref":"#/components/schemas/ForwardingConfigResponse"},{"type":"null"}]},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","workspace_id","phone_number","display_name","provider","capabilities","status","inbound_service_id","provider_phone_sid","notes","forwarding","created_at","updated_at"],"title":"PhoneNumberResponse"},"ForwardingConfigResponse":{"properties":{"enabled":{"type":"boolean","title":"Enabled"},"forward_to":{"type":"string","title":"Forward To"},"should_disconnect":{"type":"boolean","title":"Should Disconnect"}},"type":"object","required":["enabled","forward_to","should_disconnect"],"title":"ForwardingConfigResponse"}}},"paths":{"/v1/{workspace_id}/phone-numbers/{phone_number_id}":{"put":{"tags":["Phone Numbers"],"summary":"Update a phone number","description":"Update a phone number's configuration. Requires `PhoneNumber.update` permission.","operationId":"update-phone-number","parameters":[{"name":"phone_number_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Phone Number Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePhoneNumberRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PhoneNumberResponse"}}}},"401":{"description":"Missing or invalid API key."},"403":{"description":"Insufficient permissions."},"404":{"description":"Phone number not found."},"422":{"description":"Invalid request body."}}}}}}
```

## Delete a phone number

> Delete a phone number. Requires \`PhoneNumber.delete\` permission.

```json
{"openapi":"3.1.0","info":{"title":"Platform API","version":"1.0.0"},"servers":[{"url":"https://api.platform.amigo.ai","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","description":"API key issued via `POST /v1/{workspace_id}/api-keys`. Pass the returned `api_key` value as a Bearer token."}},"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/v1/{workspace_id}/phone-numbers/{phone_number_id}":{"delete":{"tags":["Phone Numbers"],"summary":"Delete a phone number","description":"Delete a phone number. Requires `PhoneNumber.delete` permission.","operationId":"delete-phone-number","parameters":[{"name":"phone_number_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Phone Number Id"}}],"responses":{"204":{"description":"Successful Response"},"401":{"description":"Missing or invalid API key."},"403":{"description":"Insufficient permissions."},"404":{"description":"Phone number not found."},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## Set call forwarding

> Configure call forwarding for a phone number. When enabled, the voice agent can transfer callers to the specified destination. Requires \`PhoneNumber.update\` permission.

```json
{"openapi":"3.1.0","info":{"title":"Platform API","version":"1.0.0"},"servers":[{"url":"https://api.platform.amigo.ai","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","description":"API key issued via `POST /v1/{workspace_id}/api-keys`. Pass the returned `api_key` value as a Bearer token."}},"schemas":{"ForwardingConfigRequest":{"properties":{"enabled":{"type":"boolean","title":"Enabled","default":true},"forward_to":{"type":"string","title":"Forward To"},"should_disconnect":{"type":"boolean","title":"Should Disconnect","default":true}},"type":"object","required":["forward_to"],"title":"ForwardingConfigRequest","description":"Call forwarding configuration for create/update requests."},"PhoneNumberResponse":{"properties":{"id":{"type":"string","title":"Id"},"workspace_id":{"type":"string","title":"Workspace Id"},"phone_number":{"type":"string","title":"Phone Number"},"display_name":{"type":"string","title":"Display Name"},"provider":{"type":"string","title":"Provider"},"capabilities":{"items":{"type":"string"},"type":"array","title":"Capabilities"},"status":{"type":"string","title":"Status"},"inbound_service_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Inbound Service Id"},"provider_phone_sid":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Provider Phone Sid"},"notes":{"type":"string","title":"Notes"},"forwarding":{"anyOf":[{"$ref":"#/components/schemas/ForwardingConfigResponse"},{"type":"null"}]},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","workspace_id","phone_number","display_name","provider","capabilities","status","inbound_service_id","provider_phone_sid","notes","forwarding","created_at","updated_at"],"title":"PhoneNumberResponse"},"ForwardingConfigResponse":{"properties":{"enabled":{"type":"boolean","title":"Enabled"},"forward_to":{"type":"string","title":"Forward To"},"should_disconnect":{"type":"boolean","title":"Should Disconnect"}},"type":"object","required":["enabled","forward_to","should_disconnect"],"title":"ForwardingConfigResponse"}}},"paths":{"/v1/{workspace_id}/phone-numbers/{phone_number_id}/forwarding":{"put":{"tags":["Phone Numbers"],"summary":"Set call forwarding","description":"Configure call forwarding for a phone number. When enabled, the voice agent can transfer callers to the specified destination. Requires `PhoneNumber.update` permission.","operationId":"set-phone-number-forwarding","parameters":[{"name":"phone_number_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Phone Number Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForwardingConfigRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PhoneNumberResponse"}}}},"401":{"description":"Missing or invalid API key."},"403":{"description":"Insufficient permissions."},"404":{"description":"Phone number not found."},"422":{"description":"Invalid forwarding config."}}}}}}
```

## Clear call forwarding

> Remove call forwarding configuration from a phone number. Requires \`PhoneNumber.update\` permission.

```json
{"openapi":"3.1.0","info":{"title":"Platform API","version":"1.0.0"},"servers":[{"url":"https://api.platform.amigo.ai","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","description":"API key issued via `POST /v1/{workspace_id}/api-keys`. Pass the returned `api_key` value as a Bearer token."}},"schemas":{"PhoneNumberResponse":{"properties":{"id":{"type":"string","title":"Id"},"workspace_id":{"type":"string","title":"Workspace Id"},"phone_number":{"type":"string","title":"Phone Number"},"display_name":{"type":"string","title":"Display Name"},"provider":{"type":"string","title":"Provider"},"capabilities":{"items":{"type":"string"},"type":"array","title":"Capabilities"},"status":{"type":"string","title":"Status"},"inbound_service_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Inbound Service Id"},"provider_phone_sid":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Provider Phone Sid"},"notes":{"type":"string","title":"Notes"},"forwarding":{"anyOf":[{"$ref":"#/components/schemas/ForwardingConfigResponse"},{"type":"null"}]},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","workspace_id","phone_number","display_name","provider","capabilities","status","inbound_service_id","provider_phone_sid","notes","forwarding","created_at","updated_at"],"title":"PhoneNumberResponse"},"ForwardingConfigResponse":{"properties":{"enabled":{"type":"boolean","title":"Enabled"},"forward_to":{"type":"string","title":"Forward To"},"should_disconnect":{"type":"boolean","title":"Should Disconnect"}},"type":"object","required":["enabled","forward_to","should_disconnect"],"title":"ForwardingConfigResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/v1/{workspace_id}/phone-numbers/{phone_number_id}/forwarding":{"delete":{"tags":["Phone Numbers"],"summary":"Clear call forwarding","description":"Remove call forwarding configuration from a phone number. Requires `PhoneNumber.update` permission.","operationId":"clear-phone-number-forwarding","parameters":[{"name":"phone_number_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Phone Number Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PhoneNumberResponse"}}}},"401":{"description":"Missing or invalid API key."},"403":{"description":"Insufficient permissions."},"404":{"description":"Phone number not found."},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```
